<?php
/*
 * @Author : 孜然
 * @Url : www.zrv7.com
 * @Date : 2021-9-23 13:47
 * @Project : 孜然授权系统
 * @Description : 基于ZR框架开发的授权系统
 * @Qq : 2937978586
 * @Wx : hhr2937978586 
 * @Email : 2937978586@qq.com
 * @Read me : 孜然授权系统，是一款多模板/多用途/多权限的授权系统
 * @Remind : 孜然授权系统受《劳动知识产权》和《计算机软件著作法》的法律保护，使用破解即违法法律
 * @Dbfk : 如果您已经使用了盗版，孜然可以通过上述两法告你，不过我是不会这么做的，如果是传播盗版那么就必定告上法院
 */
if(!defined('IN_CRONLITE'))exit();

if(isset($_COOKIE["admin_token"]))
{
	$token=authcode(daddslashes($_COOKIE['admin_token']), 'DECODE', SYS_KEY);
	list($user, $sid) = explode("\t", $token);
	$session=md5($conf['admin_user'].$conf['admin_pwd'].$password_hash);
	if($session===$sid) {
		$islogin=1;
	}
}

if(isset($_COOKIE["user_token"])) {
    $token=authcode(daddslashes($_COOKIE['user_token']), 'DECODE', SYS_KEY);
    list($user, $sid) = explode("\t", $token);
    if($userrow = $DB->get_row("select * from zrauth_user where user='$user' limit 1")){
        $session=md5($userrow['user'].$userrow['pwd'].$password_hash);
        if($session===$sid) {
            $islogin2=1;
        }else{
            unset($_COOKIE['user_token']);
        }
    }
}	

?>